BSL430.NET 1.2.1

Public Member Functions | Protected Member Functions | Properties | Events | List of all members
RJCP.IO.Ports.Native.Windows.CommOverlappedIo Class Reference
Inheritance diagram for RJCP.IO.Ports.Native.Windows.CommOverlappedIo:

## Public Member Functions
| CommOverlappedIo (SafeFileHandle handle)
| Initializes a new instance of the CommOverlappedIo class. More...
void | DiscardOutBuffer ()
| Discards data from the serial driver's transmit buffer. More...
void | Start (SerialBuffer buffer, string name)
| Start the I/O thread. More...
void | Dispose ()

## Protected Member Functions
virtual void | OnCommEvent (CommEventArgs args)
virtual void | OnCommErrorEvent (CommErrorEventArgs args)
virtual void | Dispose (bool disposing)

## Properties
int | BytesToRead`[get]`
| Gets the number of bytes in the driver queue still to be read. More...
int | BytesToWrite`[get]`
| Gets the number bytes to of data in the transmit buffer. More...
bool | IsRunning`[get]`
| Test if the I/O thread is running. More...

## Events
EventHandler< CommEventArgs > | CommEvent
EventHandler< CommErrorEventArgs > | CommErrorEvent

## Constructor & Destructor Documentation

## ◆ CommOverlappedIo()

RJCP.IO.Ports.Native.Windows.CommOverlappedIo.CommOverlappedIo | ( | SafeFileHandle | handle | ) |

Initializes a new instance of the CommOverlappedIo class.

Parameters

  handle | The serial port handle.

## Member Function Documentation

## ◆ DiscardOutBuffer()

void RJCP.IO.Ports.Native.Windows.CommOverlappedIo.DiscardOutBuffer | ( |  | ) |

Discards data from the serial driver's transmit buffer.

This function will discard the receive buffer of the SerialPortStream.

## ◆ Start()

void RJCP.IO.Ports.Native.Windows.CommOverlappedIo.Start | ( | SerialBuffer | buffer,
|  | string | name
| ) |  |

Start the I/O thread.

## Property Documentation

## ◆ BytesToRead

int RJCP.IO.Ports.Native.Windows.CommOverlappedIo.BytesToRead
| get

Gets the number of bytes in the driver queue still to be read.

The bytes to read.

## ◆ BytesToWrite

int RJCP.IO.Ports.Native.Windows.CommOverlappedIo.BytesToWrite
| get

Gets the number bytes to of data in the transmit buffer.

The number of bytes in the transmit buffer.

## ◆ IsRunning

bool RJCP.IO.Ports.Native.Windows.CommOverlappedIo.IsRunning
| get

Test if the I/O thread is running.

The documentation for this class was generated from the following file:

- C:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/Library/serialportstream/2.1.4/src/Native/Windows/CommOverlappedIo.cs